%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%        Alternativt losningsforslag til oppgave 1a i oving 4                %
%        (uten veldig mange kommentarer)                                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x=linspace(-2,2,101);      % Lager en vektor med 101 elementer. 
[X, Z] = meshgrid(x);     % Lager x og z koordinater for plot med x-vektoren som basis
%
% Erklaerer funksjonene
% Ve = eksakt potensial
Ve=@(x,z) (1./(sqrt(x.^2+(z-1/2).^2))-1./(sqrt(x.^2+(z+1/2).^2)));
% Va = potensial til ledende orden i a/r
Va=@(x,z) z.*(x.^2.+z.^2).^(-3./2);
% Relavvik = relativ differanse i prosent
Relavvik=@(x,z) abs((Ve(x,z)-Va(x,z))./Ve(x,z))*100;
%
% Plotter funksjonene
%
figure;
mesh(x,x,Ve(X,Z));
axis([-2 2 -2 2 -10 10]);
caxis([-10 10]);
xlabel('x/a');
ylabel('z/a');
zlabel('eksakt V');
figure;
mesh(x,x,Va(X,Z));
axis([-2 2 -2 2 -10 10]);
caxis([-10 10]);
xlabel('x/a');
ylabel('z/a');
zlabel('approx V');
figure;
mesh(x,x,Relavvik(X,Z));
axis([-2 2 -2 2 0 100]);
caxis([0 100]);
xlabel('x/a');
ylabel('z/a');
zlabel('Rel diff i prosent');
